### Class

# Gsk StrokeNode

since: 4.14

#### Description [src]

    final class Gsk.StrokeNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node that will fill the area determined by stroking the the given `GskPath` using the `GskStroke` attributes.

Available since: 4.14

#### Hierarchy

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_stroke_node_new

Creates a `GskRenderNode` that will fill the outline generated by stroking the given `path` using the attributes defined in `stroke`.

since: 4.14

#### Instance methods

###### gsk_stroke_node_get_child

Gets the child node that is getting drawn by the given `node`.

since: 4.14

###### gsk_stroke_node_get_path

Retrieves the path that will be stroked with the contents of the `node`.

since: 4.14

###### gsk_stroke_node_get_stroke

Retrieves the stroke attributes used in this `node`.

since: 4.14

##### Methods inherited from GskRenderNode (7)

###### gsk_render_node_draw

Draw the contents of `node` to the given cairo context.

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

###### gsk_render_node_get_node_type

Returns the type of the `node`.

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.